<template>
  <div class="hello">
    <input type="text" placeholder="myRoomName" @keyup.enter="createRoom" v-model="newRoomName" />
    <button @click="createRoom">Create</button>
  </div>
</template>

<script>
export default {
  name: "CreateRoom",
  data: function() {
    return {
      newRoomName: ""
    };
  },
  methods: {
    createRoom: async function() {
      console.log("createRoom", this.newRoomName);

      const res = await fetch("http://localhost:3000/channels/create", {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({ name: this.newRoomName })
      });
      this.newRoomName = "";

      console.log(res);

      this.$emit('refresh')
    }
  }
};
</script>
